
	window.addEventListener("load", onLoadFunction);

	function onLoadFunction(e){
		initMap();
		window.addEventListener("resize", initMap);
	}

	function initMap() {

		if (window.innerWidth > 991.98) {	
			var magenta = { lat: 45.33, lng: -75.83688887976056}
		} else {
			var magenta = { lat: 45.3315, lng: -75.83688887976056}
		}


		const map = new google.maps.Map(document.getElementById("map"), {
			zoom: 16,
			mapId: "f26c1ae5f27a4110",
			center: magenta,
			zoomControl: false,
			mapTypeControl: false,
			scaleControl: false,
			streetViewControl: false,
			rotateControl: false,
			fullscreenControl: false
		});
		
		const icon = {
			url: '../assets/img/logos/Logo-For-Map.png', // url
			scaledSize: new google.maps.Size(58, 75) // scaled size
		};

		const marker = new google.maps.Marker({
			position: { lat: 45.325345739261365, lng: -75.83688887976056},
			icon: icon,
			map: map,
		});


		
	}

	window.initMap = initMap;